Summary: 	Utility for creating network bootable images
Name: 		mknbi
Version:	1.4.4
Release: 	2

License: 	GPL
Group: 		Applications/System
URL: 		http://etherboot.sourceforge.net/
Source0: 	http://dl.sf.net/etherboot/%{name}-%{version}.tar.gz
Patch0:		mknbi-1.4.4-gcc4.patch
Patch1:		mknbi-1.4.4-makefile-optflags.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	perl
ExclusiveArch:	%{ix86}
BuildRequires:	nasm

%description
Utility that accompanies Etherboot for making tagged images from ROM
images, Linux kernels, FreeDOS and DOS bootable floppy images.

%prep
%setup -q
%patch0 -p0 -b .gcc4
%patch1 -p0 -b .optflags

%build
make realclean
make %{?_smp_mflags} PREFIX=%{_prefix} 

%install
rm -rf $RPM_BUILD_ROOT
make install BUILD_ROOT=$RPM_BUILD_ROOT PREFIX=%{_prefix} 
rm -Rf $RPM_BUILD_ROOT%{_docdir}/packages/mknbi*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING LOG README spec.txt *.html
%{_bindir}/disdosbb
%{_bindir}/dismbr
%{_bindir}/disnbi
%{_bindir}/mkelf-linux
%{_bindir}/mkelf-menu
%{_bindir}/mknbi-*
%{_libdir}/%{name}
%{_mandir}/man1/disnbi.1*
%{_mandir}/man1/mknbi.1*

%changelog
* Wed May  4 2005 Seth Vidal <skvidal at phy.duke.edu> - 1.4.4-2
- remove ifarch. Overkill if it is already exclusivearch'd


* Sun May  1 2005 Dams <anvil[AT]livna.org> - 1.4.4-1
- Updated to 1.4.4
- Patch for gcc4 fix
- Updated patch1

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sun Mar 20 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> 0:1.4.0-4
- ExclusiveArch: %%{ix86} -- does not build on PPC and x86_64 ATM and
  probably is of no use on PPC

* Thu May 22 2003 Dams <anvil[AT]livna.org> 0:1.4.0-0.fdr.3
- Added *.html in doc entry
- slight change in build section

* Tue May 20 2003 Dams <anvil[AT]livna.org> 0:1.4.0-0.fdr.2
- Changed URL in Source0 again
- Patch for makefile to accept optflags
- Moved Makefile/sed stuff into prep stage instead of build

* Tue May 20 2003 Dams <anvil[AT]livna.org> 0:1.4.0-0.fdr.1
- nasm BuildRequires now arch dependent
- Changed URL in Source0
- buildroot -> RPM_BUILD_ROOT
- Modifed doc files

* Mon May 19 2003 Dams <anvil[AT]livna.org> 0:1.4.0-0.fdr.1
- Updated to 1.4.0
- Replaced /usr with %{_prefix} in sed

* Sat Apr 26 2003 Dams <anvil[AT]livna.org>
- Initial build.
